# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::UIEvent Class Reference

Introduced in DOM Level 2. More...

`#include <dom2_events.h>`

Inheritance diagram for DOM::UIEvent:

[legend]
Collaboration diagram for DOM::UIEvent:

[legend]
List of all members.

## Public Member Functions

| UIEvent (const UIEvent &other)
| UIEvent (const Event &other)
UIEvent & | operator= (const UIEvent &other)
UIEvent & | operator= (const Event &other)
AbstractView | view () const
long | detail () const
int | keyCode () const
int | charCode () const
int | pageX () const
int | pageY () const
int | layerX () const
int | layerY () const
int | which () const
void | initUIEvent (const DOMString &typeArg, bool canBubbleArg, bool cancelableArg, const AbstractView &viewArg, long detailArg)

## Protected Member Functions

| UIEvent (UIEventImpl *impl)

## Detailed Description

Introduced in DOM Level 2.

The UIEvent interface provides specific contextual information associated with User Interface events.

Definition at line 299 of file dom2_events.h.

## Member Function Documentation

AbstractView UIEvent::view | ( |  | ) | const

| The view attribute identifies the AbstractView from which the event was generated. Definition at line 234 of file dom2_events.cpp.

long UIEvent::detail | ( |  | ) | const

| Specifies some detail information about the Event, depending on the type of event. Definition at line 242 of file dom2_events.cpp.

int UIEvent::keyCode | ( |  | ) | const

| Non-standard extension to support IE-style keyCode event property. Definition at line 250 of file dom2_events.cpp.

int UIEvent::charCode | ( |  | ) | const

| Non-standard extension to support IE-style charCode event property. Definition at line 260 of file dom2_events.cpp.

int UIEvent::pageX | ( |  | ) | const

| Non-standard extensions to support Netscape-style pageX and pageY event properties. Definition at line 271 of file dom2_events.cpp.

int UIEvent::layerX | ( |  | ) | const

| Non-standard extensions to support Netscape-style layerX and layerY event properties. Definition at line 293 of file dom2_events.cpp.

int UIEvent::which | ( |  | ) | const

| Non-standard extension to support Netscape-style "which" event property. Definition at line 313 of file dom2_events.cpp.

void UIEvent::initUIEvent | ( | const DOMString & | typeArg,
|  | bool | canBubbleArg,
|  | bool | cancelableArg,
|  | const AbstractView & | viewArg,
|  | long | detailArg
| ) |

The initUIEvent method is used to initialize the value of a UIEvent created through the DocumentEvent interface.

This method may only be called before the UIEvent has been dispatched via the dispatchEvent method, though it may be called multiple times during that phase if necessary. If called multiple times, the final invocation takes precedence.

Parameters:

  | typeArg | Specifies the event type.
  | canBubbleArg | Specifies whether or not the event can bubble.
  | cancelableArg | Specifies whether or not the event's default action can be prevented.
  | viewArg | Specifies the Event's AbstractView.
  | detailArg | Specifies the Event's detail.

Definition at line 325 of file dom2_events.cpp.

The documentation for this class was generated from the following files:

- dom2_events.h
- dom2_events.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:40 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003